# Third Party Projects

This folder is dedicated to project and contributions made by other authors.


## David's project "SI4735 radio KIT (AM FM LW SW SSB"
Compact EVB designed for the SILABS radio IC – SI4735.
The project aims to serve as a platform through which several developers can continue to improve the 
unofficial SSB patch. That is why the arduino nano was chosen to be part of this KIT.

[Read more...](https://davidmartinsengineering.wordpress.com/si4735-radio-kit/)


<BR>

## David's videos 

* [SI4735 Radio KIT prototype](https://youtu.be/ENqokz09xvU)
* [SI4735 KIT. First LF test](https://youtu.be/hjDvo8ehZi4)
* [SI4735 KIT. First SSB test](https://youtu.be/bZW6NiOEGSQ)
* [SI4735 KIT - First FM test](https://youtu.be/LudpuwJSajU)



<BR>

## Jim Reagan

[Documents](https://github.com/pu2clr/SI4735/tree/master/extras/Third_Party_Projects/Jim_Reagan)

![Jim Schematic](https://pu2clr.github.io/SI4735/extras/Third_Party_Projects/Jim_Reagan/jim_reagan.png)

<BR>

## PU2TMC

[Documents](https://github.com/pu2clr/SI4735/tree/master/extras/Third_Party_Projects/Luiz_pu2tmc)


<BR>

## Gert Baak / PE0MGB

Article written by Gert: [Arduino All band radio with SI4735](https://www.pi4raz.nl/razzies/razzies202009.pdf)

[Gert's Repository - SI4735-Radio-ESP32-2.8 inch TFT Touchscreen-Arduino](https://github.com/pe0mgb/SI4735-Radio-ESP32-Touchscreen-Arduino?fbclid=IwAR3TQd2j4HxAFvpcGkbXiPuDly8m2OnGclTDiqthnkbqqe2fN1McP2m3WSI)

| Gert's interface | Gert's interface |
| ---------------- | ---------------- | 
|  ![photo 1](https://github.com/pu2clr/SI4735/blob/master/extras/Third_Party_Projects/Gert_Baak/g1.png) |  ![photo 2](https://github.com/pu2clr/SI4735/blob/master/extras/Third_Party_Projects/Gert_Baak/g2.png)           |
|  ![photo 3](https://github.com/pu2clr/SI4735/blob/master/extras/Third_Party_Projects/Gert_Baak/g3.png)           |  ![photo 4](https://github.com/pu2clr/SI4735/blob/master/extras/Third_Party_Projects/Gert_Baak/g4.png)           |


[Great interface by Gert Baak](https://youtu.be/hRHSzFr_lQE)

{% include gertbaak.html %}

[Gert's Github Repository - SI4735-Radio-ESP32-2.8 inch TFT Touchscreen-Arduino](https://github.com/pe0mgb/SI4735-Radio-ESP32-Touchscreen-Arduino?fbclid=IwAR3TQd2j4HxAFvpcGkbXiPuDly8m2OnGclTDiqthnkbqqe2fN1McP2m3WSI)



## Nancy Gail

Nancy is a member of the [Facebook group "SI47XX for Radio Experimenters"](https://www.facebook.com/groups/532613604253401). She has shared with us excelent projects and ideas based on SI47XX devices. [Click here to visit her Github projects](https://github.com/LadyRoninEngineer/Si473x/tree/main/Si4732BO). 

![Nancy's Board](https://pu2clr.github.io/SI4735/extras/Third_Party_Projects/Nancy/Nancy_A.jpg)

![Nancy's Prototype](https://pu2clr.github.io/SI4735/extras/Third_Party_Projects/Nancy/Nancy_B.jpg)

[Github](https://github.com/LadyRoninEngineer/Si473x/tree/main/Si4732BO)

<BR>

## Felix Angga

[Source code on Github repository](https://github.com/felangga/slametradio)

{% include felixangga.html %}

<BR>

## Rolf 

This Project was made by Rolf. It was based on [Jim Reagan’s](https://github.com/pu2clr/SI4735/tree/master/extras/Third_Party_Projects#jim-reagan) project. Rolf added to Jim’s project the external mute control feature. This feature is supported by PU2CLR Si4735 Arduino Library and can minimize the loud clicking and popping in the speaker. 


![Photo 01](https://pu2clr.github.io/SI4735/extras/Third_Party_Projects/Rolf/Parts.JPG)


![Photo Project 01](https://pu2clr.github.io/SI4735/extras/Third_Party_Projects/Rolf/photo_1.jpg)


![Photo Project 02](https://pu2clr.github.io/SI4735/extras/Third_Party_Projects/Rolf/photo_2.jpg)


The [See Rolf's Geber](https://github.com/pu2clr/SI4735/tree/master/extras/Third_Party_Projects/Rolf) files. 


See [Rolf's Github reposotory]().
